<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Seminar Proposal</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Seminar</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select name="tahunAkademik" required class="form-control">
                                            <option value="" selected disabled>-- Select One --</option>
                                            <option th:each="tahun : ${tahun}"
                                                    th:selected="(${tahun} == *{akademik})"
                                                    th:text="${tahun.namaTahunAkademik}"
                                                    th:value="${tahun.id}"></option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary"><i class="fas fa-list"></i> Show</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-body">
                        <div class="card shadow">
                            <div class="card-header border-0">
                                <h3 class="mb-0">List</h3>
                            </div>
                            <div class="table-responsive">
                                <table class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">NIM</th>
                                        <th scope="col">Name</th>
                                        <th scope="col">Status</th>
                                        <th></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${list}">
                                        <td th:text="${(row.index + 1)}">1</td>
                                        <td th:text="${data.note.mahasiswa.nim}">12121</td>
                                        <td th:text="${data.note.mahasiswa.nama}">Muhammmad Rafizki</td>
                                        <div class="modal fade" th:id="${'modal-default' + data.id}"  tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="exampleModalLabel">Sempro</h5>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <b>Judul</b>
                                                        <p th:text="${data.note.judul}">Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove right at the coast of the Semantics, a large language ocean.</p>
                                                        <b>Judul Inggris</b>
                                                        <p th:text="${data.note.judulInggris}">A small river named Duden flows by their place and supplies it with the necessary regelialia. It is a paradisematic country, in which roasted parts of sentences fly into your mouth.</p>
                                                        <hr>
                                                        <div class="row col-md-12" th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Ketua Penguji</b>
                                                                    <p th:text="${data.ketuaPenguji.karyawan.namaKaryawan}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Dosen Penguji</b>
                                                                    <p th:text="${data.dosenPenguji.karyawan.namaKaryawan}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>
                                                        </div>
                                                        <div class="row col-md-12" th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Pembimbing 1</b>
                                                                    <p th:text="${data.note.dosen.karyawan.namaKaryawan}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Pembimbing 2</b>
                                                                    <p th:text="${data.note.dosen2.karyawan.namaKaryawan}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>
                                                        </div>

                                                        <center th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                            <b>Ketua Penguji</b>
                                                            <center>
                                                                <p th:text="${data.ketuaPenguji.karyawan.namaKaryawan}">Abu Hanifah 1</p>
                                                            </center>
                                                        </center>

                                                        <div class="row col-md-12" th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '01'}">
                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Pembimbing 1</b>
                                                                    <p th:text="${data.dosenPenguji.karyawan.namaKaryawan}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Pembimbing 2</b>
                                                                    <p th:text="${data.note.dosen.karyawan.namaKaryawan}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>
                                                        </div>
                                                        <hr>
                                                        <span th:if="${data.statusSempro != data.statusSempro.APPROVED}">
                                                        <div class="text-muted text-center mt-2 mb-3"><small>Schedule</small></div>
                                                        <center >
                                                            <b>Ruangan</b>
                                                            <p th:text="${data.ruangan.namaRuangan}">Abu Hanifah 1</p>
                                                        </center>
                                                        <br>
                                                        <div class="row col-md-12">
                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Hari</b>
                                                                    <p th:text="${data.tanggalUjian}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>

                                                            <div class="col-md-6">
                                                                <center >
                                                                    <b>Jam</b>
                                                                    <p th:text="${data.jamMulai + ' - ' + data.jamSelesai}">Abu Hanifah 1</p>
                                                                </center>
                                                            </div>
                                                        </div>
                                                        </span>

                                                        <span th:if="${data.statusSempro == data.statusSempro.APPROVED}">
                                                             <div class="text-muted text-center mt-2 mb-3"><small>Score</small></div>
                                                            <div class="row" th:if="${data.status == data.status.APPROVED}">
                                                                <div class="col-md-4">
                                                                    <center>
                                                                        <b>Ketua Penguji </b>
                                                                        <p th:if="${data.note.jenis == data.note.jenis.SKRIPSI}" th:text="${#numbers.formatDecimal((data.ka * 0.25) + (data.kb * 0.15) + (data.kc * 0.2) + (data.kd * 0.1) + (data.ke * 0.15) + (data.kf * 0.15), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                        <p th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}" th:text="${#numbers.formatDecimal((data.ka * 0.3) + (data.kb * 0.25) + (data.kc * 0.2) + (data.kd * 0.15) + (data.ke * 0.1), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                    </center>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <center>
                                                                        <b>Dosen Penguji </b>
                                                                         <p th:if="${data.note.jenis == data.note.jenis.SKRIPSI}" th:text="${#numbers.formatDecimal((data.ua * 0.25) + (data.ub * 0.15) + (data.uc * 0.2) + (data.ud * 0.1) + (data.ue * 0.15) + (data.uf * 0.15), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                         <p th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}" th:text="${#numbers.formatDecimal((data.ua * 0.3) + (data.ub * 0.25) + (data.uc * 0.2) + (data.ud * 0.15) + (data.ue * 0.1), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>

                                                                    </center>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <center>
                                                                        <b>Pembimbing </b>
                                                                        <p th:if="${data.note.jenis == data.note.jenis.SKRIPSI}" th:text="${#numbers.formatDecimal((data.pa * 0.25) + (data.pb * 0.15) + (data.pc * 0.2) + (data.pd * 0.1) + (data.pe * 0.15) + (data.pf * 0.15), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                        <p th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}" th:text="${#numbers.formatDecimal((data.pa * 0.3) + (data.pb * 0.25) + (data.pc * 0.2) + (data.pd * 0.15) + (data.pe * 0.1), 0, 'COMMA', 2, 'POINT')}">2019-01-01</p>
                                                                    </center>
                                                                </div>
                                                            </div>
                                                            <center th:if="${data.status == data.status.APPROVED}">
                                                                <b>Total Score</b>
                                                                <p th:text="${data.nilai}">Abu Hanifah 1</p>
                                                            </center>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <span th:if="${data.publish != 'AKTIF'}">
                                            <td style="text-align:center;">
                                                <button style="width:100%;"  class="btn btn-primary btn-sm" th:if="${data.statusSempro == data.statusSempro.APPROVED}">Menunggu Publish</button>
                                                <button style="width:100%;"  class="btn btn-warning btn-sm" th:if="${data.statusSempro == data.statusSempro.ASSESSMENT}">Menunggu Penilaian Lengkap</button>
                                                <button style="width:100%;"  class="btn btn-info btn-sm" th:if="${data.statusSempro == data.statusSempro.SCHEDULED}">Dijadwalkan</button>
                                            </td>
                                        </span>

                                        <td  th:if="${data.publish == 'AKTIF'}" style="text-align:center;" >
                                            <button class="btn btn-success btn-sm" style="width:100%;" >Sudah dipublish</button>
                                        </td>
                                        <td>
                                            <button type="button" class="btn btn-primary btn-outline-primary btn-sm" th:data-target="${'#modal-default' + data.id}" data-toggle="modal" >
                                                <i class="fas fa-list"></i> Detail Seminar
                                            </button>
                                            <a type="button" th:href="@{/graduation/seminar/detail(seminar = ${data.id})}" class="btn btn-primary btn-outline-primary btn-sm">
                                                <i class="fas fa-edit"></i> Assesment
                                            </a>

                                            <button th:if="${data.ketuaPenguji == dosen && data.publish == 'NONAKTIF'}" type="button" class="btn btn-info btn-outline-primary btn-sm fas fa-share"
                                                    data-toggle="modal" aria-haspopup="true" th:data-target="${'#modal-publish'+data.id}"> Publish</button>

                                            <div class="modal fade bd-example-modal-lg fade" th:id="${'modal-publish'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-lg" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Detail Nilai</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="alert alert-danger alert-with-icon" th:id="${data.id+'-alertSave'}" style="display: none">
                                                                <button type="button" aria-hidden="true" class="close" data-dismiss="alert" aria-label="Close">
                                                                    <i class="fas fa-warning"></i>
                                                                </button>
                                                                <span data-notify="icon" class="tim-icons icon-trophy"></span>
                                                                <span id="textAlert"><b> Maaf! - </b>Nilai Belum Lengkap.</span>
                                                            </div>
                                                            <table class="table table-bordered table-hover">
                                                                <thead class="thead-light">
                                                                <tr class="table-primary"  th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '01' || data.note.mahasiswa.idProdi.idJenjang.id == '03'}">
                                                                    <th><center><b>#</b></center></th>
                                                                    <th><center><b>Komponen</b></center></th>
                                                                    <th><center><b>Ketua Penguji</b></center></th>
                                                                    <th><center><b>Penguji</b></center></th>
                                                                    <th><center><b>Pembimbing</b></center></th>
                                                                </tr>
                                                                <tr class="table-primary"  th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                    <th><center><b>#</b></center></th>
                                                                    <th><center><b>Komponen</b></center></th>
                                                                    <th><center><b>Ketua Penguji</b></center></th>
                                                                    <th><center><b>Penguji</b></center></th>
                                                                    <th><center><b>Pembimbing 1</b></center></th>
                                                                    <th><center><b>Pembimbing 2</b></center></th>
                                                                </tr>
                                                                </thead>

                                                                <tbody th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '01' || data.note.mahasiswa.idProdi.idJenjang.id == '03'}">
                                                                <tr class="table-primary">
                                                                    <td align="center">1</td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}"><b>Inovasi Produk</b></td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.JURNAL}"><b>Perumusan Masalah</b></td>
                                                                    <td align="center" th:text="${data.ka}">90.00</td>
                                                                    <td align="center" th:text="${data.ua}">90.00</td>
                                                                    <td align="center" th:text="${data.pa}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">2</td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}"><b>Manfaat Produk/Bisnis</b></td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.JURNAL}"><b>Tinjauan Pustaka</b></td>
                                                                    <td align="center" th:text="${data.kb}">90.00</td>
                                                                    <td align="center" th:text="${data.ub}">90.00</td>
                                                                    <td align="center" th:text="${data.pb}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">3</td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}"><b>Kelayakan Bisnis</b></td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.JURNAL}"><b>Metode Penelitian</b></td>
                                                                    <td align="center" th:text="${data.kc}">90.00</td>
                                                                    <td align="center" th:text="${data.uc}">90.00</td>
                                                                    <td align="center" th:text="${data.pc}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">4</td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}"><b>Tinjauan Syariah</b></td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.JURNAL}"><b>Manfaat Tugas Akhir</b></td>
                                                                    <td align="center" th:text="${data.kd}">90.00</td>
                                                                    <td align="center" th:text="${data.ud}">90.00</td>
                                                                    <td align="center" th:text="${data.pd}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">5</td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.STUDI_KELAYAKAN}"><b>Tinajauan Pustaka</b></td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.JURNAL}"><b>Kelayakan Tugas Akhir</b></td>
                                                                    <td align="center" th:text="${data.ke}">90.00</td>
                                                                    <td align="center" th:text="${data.ue}">90.00</td>
                                                                    <td align="center" th:text="${data.pe}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.JURNAL}">6</td>
                                                                    <td align="center" th:if="${data.note.jenis == data.note.jenis.SKRIPSI || data.note.jenis == data.note.jenis.JURNAL}"><b>Kedalaman Tinjauan Syariah</b></td>
                                                                    <td align="center" th:text="${data.kf}">90.00</td>
                                                                    <td align="center" th:text="${data.uf}">90.00</td>
                                                                    <td align="center" th:text="${data.pf}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center" colspan="2"><b>Total</b></td>
                                                                    <td align="center" colspan="2"><b th:text="${data.nilai}">90.00</b></td>
                                                                    <td align="center">
                                                                        <h3 th:if="${data.nilai >= 70}"><span class="badge badge-success">LULUS</span></h3>
                                                                        <h3 th:if="${data.nilai < 70}"><span class="badge badge-success">TIDAK LULUS</span></h3>
                                                                    </td>
                                                                </tr>
                                                                </tbody>

                                                                <tbody th:if="${data.note.mahasiswa.idProdi.idJenjang.id == '02'}">
                                                                <tr class="table-primary">
                                                                    <td align="center">1</td>
                                                                    <td align="center"><b>Presentasi</b></td>
                                                                    <td align="center" th:text="${data.ka}">90.00</td>
                                                                    <td align="center" th:text="${data.ua}">90.00</td>
                                                                    <td align="center" th:text="${data.pa}">90.00</td>
                                                                    <td align="center" th:text="${data.pa2}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">2</td>
                                                                    <td align="center"><b>Penguasaan Materi</b></td>
                                                                    <td align="center" th:text="${data.kb}">90.00</td>
                                                                    <td align="center" th:text="${data.ub}">90.00</td>
                                                                    <td align="center" th:text="${data.pb}">90.00</td>
                                                                    <td align="center" th:text="${data.pb2}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">3</td>
                                                                    <td align="center"><b>Teknik Penulisan</b></td>
                                                                    <td align="center" th:text="${data.kc}">90.00</td>
                                                                    <td align="center" th:text="${data.uc}">90.00</td>
                                                                    <td align="center" th:text="${data.pc}">90.00</td>
                                                                    <td align="center" th:text="${data.pc2}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">4</td>
                                                                    <td align="center"><b>Argumentasi</b></td>
                                                                    <td align="center" th:text="${data.kd}">90.00</td>
                                                                    <td align="center" th:text="${data.ud}">90.00</td>
                                                                    <td align="center" th:text="${data.pd}">90.00</td>
                                                                    <td align="center" th:text="${data.pd2}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center">5</td>
                                                                    <td align="center"><b>Orisinalitas</b></td>
                                                                    <td align="center" th:text="${data.ke}">90.00</td>
                                                                    <td align="center" th:text="${data.ue}">90.00</td>
                                                                    <td align="center" th:text="${data.pe}">90.00</td>
                                                                    <td align="center" th:text="${data.pe2}">90.00</td>
                                                                </tr>
                                                                <tr class="table-primary">
                                                                    <td align="center" colspan="2"><b>Total</b></td>
                                                                    <td align="center" colspan="3"><b th:text="${data.nilai}">90.00</b></td>
                                                                    <td align="center">
                                                                        <h3 th:if="${data.nilai >= 70}"><span class="badge badge-success">LULUS</span></h3>
                                                                        <h3 th:if="${data.nilai < 70}"><span class="badge badge-success">TIDAK LULUS</span></h3>
                                                                    </td>
                                                                </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <input type="hidden" id="sidangId" th:value="${data.id}">
                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">tutup</button>
                                                            <button type="submit" th:id="${data.id}" class="btn btn-primary publish-data">Publish</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <button type="button" class="btn btn-success btn-sm" th:if="${data.publish == 'AKTIF'}">
                                                <a class="text-white" th:href="@{/suratTugas/seminar/pdf(seminar = ${data.id})}">Cetak Surat Tugas</a>
                                            </button>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            <center>
                            </center>

                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->

    </div>
</div>
</body>
</html>
<script>
    $(".publish-data").click(function(e) {
        var id = this.id;
        var token = $("input[name='_csrf']").val();
        var url = "/graduation/seminar/dosen/publish";
        e.preventDefault();
        console.log(id)

        $.ajax({
            url: url+'?seminar='+id,
            contentType: "application/json;charset=UTF-8",
            headers: {"X-CSRF-TOKEN": token},
            method: 'post',
            dataType: 'JSON',
            data: JSON.stringify({
                "id" : id,
            }), error: function (data) {
                if (data.responseText == "kosong"){
                    document.getElementById(id+'-alertSave').style.display = "block";
                    setTimeout(function () {
                        document.getElementById(id+'alertSave').style.display = "none";
                    }, 5000);
                }

                if (data.responseText == "berhasil"){
                    window.location.reload();
                }


            }
        })

    });
</script>